;                   Configure the 2000 Access I/O Processor.
;
;
; This include file configures the I/O card cage in the I/O Processor to
; contain the necessary device interfaces in the proper select code slots.  It
; is invoked by the "iopload.inc" and "iopdump.inc" command files, as follows:
;
;    do iopconfig.inc <cpu-model>
;
; ...where <cpu-model> is the specific CPU model to simulate (2100, 21MX, or
; 21MX-E).  This file is never invoked directly by the user.
;
; These device assignments are listed in the "HP 2000 Access Operator's Manual"
; (HP part number 22687-90005, April 1977):
;
;    SC  Device  Interface Description
;    --  ------  --------------------------------------------------------
;    10   TBG    12539C Time Base Generator Interface
;    11   MUXL   12920A Asynchronous Multiplexer Interface Lower Data PCA
;    12   MUX    12920A Asynchronous Multiplexer Interface Upper Data PCA
;    13   MUXC   12920A Asynchronous Multiplexer Interface Control PCA
;    14   IPLI   12875A Processor Interconnect Lower Data PCA
;    15   IPLO   12875A Processor Interconnect Upper Data PCA
;    16   PTR    12597A-002 Tape Reader Interface
;    17   PTP    12597A-005 Tape Punch Interface
;    20   LPT    12845B Line Printer Interface


; Configure the I/O Processor CPU.

set CPU %1,32K,IOP


; Configure the I/O card cage.
;
; Enable and assign the select codes of the required devices.

set ALL  DISABLED

set TBG  ENABLED,SC=10
set MUX  ENABLED,SC=11
set MUXM ENABLED,SC=13
set IPL  ENABLED,SC=14
set PTR  ENABLED,SC=16
set PTP  ENABLED,SC=17
set LPT  ENABLED,SC=20,2617


; Display the I/O configuration to the system operator.

show CPU IOCAGE
echo
