;                  Configure the 2000 Access System Processor.
;
;
; This include file configures the CPU and I/O card cage in the System Processor
; to contain the necessary device interfaces in the proper card slots.  It is
; invoked by the SP command files, as follows:
;
;    do spconfig.inc <cpu-model> <disc-model>
;
; ...where <cpu-model> and <disc-model> are the models of the CPU (2100, 21MX,
; or 21MX-E) and disc (7900, 7905, 7920, or 2883) to use.  This file is never
; invoked directly by the user.
;
; These device assignments are listed in the "HP 2000 Access Operator's Manual"
; (HP part number 22687-90005, April 1977):
;
;    SC  Device  Interface Description
;    --  ------  -----------------------------------------------------------
;    10   IPLI   12875A Processor Interconnect Lower Data PCA
;    11   IPLO   12875A Processor Interconnect Upper Data PCA
;    12   TTY    12531C Buffered Teleprinter Interface
;    13   TBG    12539C Time Base Generator Interface
;  / 14   DPD    13210A Disc Drive Interface Data Channel
;  \ 15   DPC    13210A Disc Drive Interface Command Channel
;  / 14   DS     13175D Disc Controller Interface
;  \ 15  (none)  12777A Priority Jumper Card
;    16   MSD    13183B Digital Magnetic Tape Unit Interface Data Channel
;    17   MSC    13183B Digital Magnetic Tape Unit Interface Command Channel
;
; The disc interface will occupy select code 14 or select codes 14 and 15,
; depending on the disc model indicated.  If the single-card interface is used,
; select code 15 is occupied by an HP 12777A Priority Jumper Card.


; Configure the System Processor CPU.
;
; The SP requires floating-point support, which must be enabled specifically
; for 2100 CPUs (floating-point is standard on the 21MX series).

set CPU %1,32K

if "%1" == "2100" set CPU FP


; Configure and assign the select codes of the required devices.

set ALL DISABLED

set IPL ENABLED,SC=10
set TTY ENABLED,SC=12
set TBG ENABLED,SC=13
set MSD ENABLED,SC=16


; Configure the tape drive interface model.

set MSC 13183


; Configure and assign the select code of the disc device.

if "%2" == "7900" set DPD ENABLED,SC=14 ; set DPC 13210
if "%2" == "7905" set DS  ENABLED,SC=14 ; set DS0 7905
if "%2" == "7920" set DS  ENABLED,SC=14 ; set DS0 7920
if "%2" == "2883" set DQD ENABLED,SC=14


; Display the I/O configuration to the system operator.

show CPU IOCAGE
echo
